Debian Bug report logs - #543730
SIP 4.8 has a new (non-free?) license

version graph

Package: src:sip4-qt3; Maintainer for src:sip4-qt3 is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: James Y Knight <foom@fuhm.net>

Date: Wed, 26 Aug 2009 16:54:02 UTC

Severity: serious

Tags: confirmed, upstream

Found in version sip4-qt3/4.8.1-1

Fixed in version sip4-qt3/4.9-1

Done: Michael Casadevall <mcasadevall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ricardo Javier Cardenes Medina <rcardenes@debian.org>:
Bug#543730; Package src:sip4-qt3. (Wed, 26 Aug 2009 16:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Y Knight <foom@fuhm.net>:
New Bug report received and forwarded. Copy sent to Ricardo Javier Cardenes Medina <rcardenes@debian.org>. (Wed, 26 Aug 2009 16:54:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Y Knight <foom@fuhm.net>
To: submit@bugs.debian.org
Subject: SIP 4.8 has a new (non-free?) license
Date: Wed, 26 Aug 2009 12:43:54 -0400
Source: sip4-qt3
Version: 4.8.1-1
Severity: serious

The copyright file in the package contains the license for SIP 4.0 not  
SIP 4.8. (That's a bug in itself...)

The *actual* SIP 4.8 license (contained in the file named "LICENSE")  
is substantially different. In particular, it now contains a new clause:
> 4. Licensee may not use SIP 4.8.1 to generate Python bindings for any
> C or C++ library for which bindings are already provided by Riverbank.


As I understand things, this makes the license non-free due to DFSG6  
"No Discrimination Against Fields of Endeavor", and furthermore, not  
GPL-compatible.





Information forwarded to debian-bugs-dist@lists.debian.org, Ricardo Javier Cardenes Medina <rcardenes@debian.org>:
Bug#543730; Package src:sip4-qt3. (Fri, 28 Aug 2009 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <debian@pusling.com>:
Extra info received and forwarded to list. Copy sent to Ricardo Javier Cardenes Medina <rcardenes@debian.org>. (Fri, 28 Aug 2009 06:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 543730@bugs.debian.org (full text, mbox):

From: Sune Vuorela <debian@pusling.com>
To: 543730@bugs.debian.org, control@bugs.debian.org
Subject: SIP 4.8 has a new (non-free?) license
Date: Fri, 28 Aug 2009 08:40:03 +0200
tag 543730 +confirmed upstream
thanks

We've contacted upstream and awaiting answers

/Sune
Qt and KDE maintainer
-- 
I'm not able to explore the USB program, how does it work?

First from the panel inside Flash 6000 you neither must reset the command 
prompt of the shell, nor should log in the directory to remove from the 
connector.




Added tag(s) upstream and confirmed. Request was from Sune Vuorela <debian@pusling.com> to control@bugs.debian.org. (Fri, 28 Aug 2009 06:54:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from ncommander-guest@users.alioth.debian.org to control@bugs.debian.org. (Tue, 06 Oct 2009 17:51:02 GMT) Full text and rfc822 format available.

Reply sent to Michael Casadevall <mcasadevall@debian.org>:
You have taken responsibility. (Wed, 07 Oct 2009 00:06:19 GMT) Full text and rfc822 format available.

Notification sent to James Y Knight <foom@fuhm.net>:
Bug acknowledged by developer. (Wed, 07 Oct 2009 00:06:19 GMT) Full text and rfc822 format available.

Message #19 received at 543730-close@bugs.debian.org (full text, mbox):

From: Michael Casadevall <mcasadevall@debian.org>
To: 543730-close@bugs.debian.org
Subject: Bug#543730: fixed in sip4-qt3 4.9-1
Date: Tue, 06 Oct 2009 23:36:58 +0000
Source: sip4-qt3
Source-Version: 4.9-1

We believe that the bug you reported is fixed in the latest version of
sip4-qt3, which is due to be installed in the Debian FTP archive:

python-sip4-dbg_4.9-1_amd64.deb
  to pool/main/s/sip4-qt3/python-sip4-dbg_4.9-1_amd64.deb
python-sip4-dev_4.9-1_all.deb
  to pool/main/s/sip4-qt3/python-sip4-dev_4.9-1_all.deb
python-sip4_4.9-1_amd64.deb
  to pool/main/s/sip4-qt3/python-sip4_4.9-1_amd64.deb
sip4-qt3_4.9-1.diff.gz
  to pool/main/s/sip4-qt3/sip4-qt3_4.9-1.diff.gz
sip4-qt3_4.9-1.dsc
  to pool/main/s/sip4-qt3/sip4-qt3_4.9-1.dsc
sip4-qt3_4.9.orig.tar.gz
  to pool/main/s/sip4-qt3/sip4-qt3_4.9.orig.tar.gz
sip4_4.9-1_amd64.deb
  to pool/main/s/sip4-qt3/sip4_4.9-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 543730@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Casadevall <mcasadevall@debian.org> (supplier of updated sip4-qt3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 06 Oct 2009 13:26:13 -0400
Source: sip4-qt3
Binary: sip4 python-sip4 python-sip4-dbg python-sip4-dev
Architecture: source all amd64
Version: 4.9-1
Distribution: unstable
Urgency: high
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Michael Casadevall <mcasadevall@debian.org>
Description: 
 python-sip4 - Python/C++ bindings generator runtime library
 python-sip4-dbg - Python/C++ bindings generator runtime library (debug extension)
 python-sip4-dev - Python/C++ bindings generator development files
 sip4       - Python/C++ bindings generator
Closes: 543730
Changes: 
 sip4-qt3 (4.9-1) unstable; urgency=high
 .
   * New upstream release that corrects a licensing issue
     (Closes: #543730) (LP: #444742)
   * Justificatoin of urgency=high due to licensing in testing
   * debian/patches/01_configure.dpatch:
     - Refreshed for new source version
   * debian/patches/02_siputils.dpatch:
     - Refreshed for new source version
   * Updated copyright file to reflect new licensing terms
Checksums-Sha1: 
 b108d71a471bc7de4cb4d4d1afed6cb448c75b3a 1457 sip4-qt3_4.9-1.dsc
 5c9e0aa55d664e2a35295b031df950d0a4fe9529 659618 sip4-qt3_4.9.orig.tar.gz
 2bda62a94be49ff11c57faef5b90a236403c37d8 12926 sip4-qt3_4.9-1.diff.gz
 fac8e4c0ad25f9cae41c03f40f50a76ad37c831a 78792 python-sip4-dev_4.9-1_all.deb
 939a261353481d182515394bd62edb0575af402e 366246 sip4_4.9-1_amd64.deb
 22dd0fdf4456c6ff6e4b19ca41295c0dbfc7f020 175836 python-sip4_4.9-1_amd64.deb
 9a467d6db80a32de3ecf04dad907add77c86c24a 417752 python-sip4-dbg_4.9-1_amd64.deb
Checksums-Sha256: 
 1e635d61aa4288eddaa906b5d37d292b9f1533ddd84259773d124e8aef4299e3 1457 sip4-qt3_4.9-1.dsc
 9bdeef5528b88b1c06ee16f0f5391d7d79e0353e53ca73999e7e5d32e41ede02 659618 sip4-qt3_4.9.orig.tar.gz
 de344e756732eba17394403a184c9d4eab3ff2aa230af3b2216bece2bad1d183 12926 sip4-qt3_4.9-1.diff.gz
 0c9e567515041f398e3c617f55af859a8bb1ba85109a58042eff4a139c7c5266 78792 python-sip4-dev_4.9-1_all.deb
 eee525761396b94dcd760f5c5b6b8cbe18bf3220f7926ef543f54d4445e3d4f0 366246 sip4_4.9-1_amd64.deb
 fe14091b1dd5c8a4d78b596cd7f746e6d6281ba8d873e8b1b6c35d94f4d5f3ee 175836 python-sip4_4.9-1_amd64.deb
 1ae4452579b377cc94b2a1539db5d0fd0c4484cc2d1b8cf509956745bcd1886a 417752 python-sip4-dbg_4.9-1_amd64.deb
Files: 
 f4fb0c1f4d665ae9e0cac8050fda1c5e 1457 devel optional sip4-qt3_4.9-1.dsc
 caf83cde684dbf7aeeb9c4447d54b98d 659618 devel optional sip4-qt3_4.9.orig.tar.gz
 881040911633787823a5c6d1ea039f26 12926 devel optional sip4-qt3_4.9-1.diff.gz
 bc9505c8afa6ae5b0e237e23c34fd513 78792 python optional python-sip4-dev_4.9-1_all.deb
 6568a26442ef7ea90f9378c22729ac20 366246 devel optional sip4_4.9-1_amd64.deb
 43344a2492dca9efd5d01fdc0f7c743e 175836 python optional python-sip4_4.9-1_amd64.deb
 44644b273a010721d7ae551a7eae5ded 417752 debug extra python-sip4-dbg_4.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrLscgACgkQpblTBJ2i2psMCwCdGYBwGFsv6ZbJD6i6DfA+mFr2
zv0An3A7nvsPAquX0C/Ay9baPgYjnzyR
=Tgug
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Nov 2009 08:33:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:15:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.